#pragma once
#include <map>
struct M_DragonBallLotteryData
{
	//ID
	int mID;
	//权重
	int mWeight;
	//道具ID
	int mItemID;
	//道具数量
	int mItemCount;
	//大奖标识
	int mBig;
};

class M_DragonBallLottery
{
public:
private:
	static std::auto_ptr<M_DragonBallLottery> msSingleton;
public:
	int GetCount();
	const M_DragonBallLotteryData* GetData(int ID);
	const std::map<int, M_DragonBallLotteryData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_DragonBallLottery* GetSingleton();
	static void Release();
private:
	std::map<int, M_DragonBallLotteryData> mMapData;
};
